summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2020-07-20 15:12:06 -0700
committerZac Medico <zmedico@gentoo.org>2020-07-20 15:13:12 -0700
commit2b3d5b05598560ebf8503397932d8c784c393d7b (patch)
treeeaa133e10afc9b7ed276c313847549dd098fbb16
parentapp-misc/prog-express: drop old version (diff)
downloadgentoo-2b3d5b05598560ebf8503397932d8c784c393d7b.tar.gz
gentoo-2b3d5b05598560ebf8503397932d8c784c393d7b.tar.bz2
gentoo-2b3d5b05598560ebf8503397932d8c784c393d7b.zip
sys-apps/portage: 3.0.0-r1 revbump for bug 733370
Bug: https://bugs.gentoo.org/733180 Closes: https://bugs.gentoo.org/733370 Package-Manager: Portage-3.0.0, Repoman-2.3.23 Signed-off-by: Zac Medico <zmedico@gentoo.org>
-rw-r--r--sys-apps/portage/portage-3.0.0-r1.ebuild (renamed from sys-apps/portage/portage-3.0.0.ebuild)17
1 files changed, 10 insertions, 7 deletions
diff --git a/sys-apps/portage/portage-3.0.0.ebuild b/sys-apps/portage/portage-3.0.0-r1.ebuild
index 6e1a8152761..9271e674f3b 100644
--- a/sys-apps/portage/portage-3.0.0.ebuild
+++ b/sys-apps/portage/portage-3.0.0-r1.ebuild
@@ -1,7 +1,7 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=5
+EAPI=7
DISTUTILS_USE_SETUPTOOLS=no
PYTHON_COMPAT=( pypy3 python3_{6..9} )
@@ -89,6 +89,9 @@ pkg_pretend() {
python_prepare_all() {
distutils-r1_python_prepare_all
+ # Apply d65e759fc26e for bug 733370.
+ sed -e 's:^import logging$:import functools\n\0:' -i lib/portage/sync/syncbase.py || die
+
sed -e "s:^VERSION = \"HEAD\"$:VERSION = \"${PV}\":" -i lib/portage/__init__.py || die
if use gentoo-dev; then
@@ -222,24 +225,24 @@ python_install_all() {
dodir /usr/sbin
for target in ${sbin_relocations}; do
einfo "Moving /usr/bin/${target} to /usr/sbin/${target}"
- mv "${ED}usr/bin/${target}" "${ED}usr/sbin/${target}" || die "sbin scripts move failed!"
+ mv "${ED}/usr/bin/${target}" "${ED}/usr/sbin/${target}" || die "sbin scripts move failed!"
done
}
pkg_preinst() {
python_setup
local sitedir=$(python_get_sitedir)
- [[ -d ${D%/}${sitedir} ]] || die "${D%/}${sitedir}: No such directory"
+ [[ -d ${D}${sitedir} ]] || die "${D}${sitedir}: No such directory"
env -u DISTDIR \
-u PORTAGE_OVERRIDE_EPREFIX \
-u PORTAGE_REPOSITORIES \
-u PORTDIR \
-u PORTDIR_OVERLAY \
- PYTHONPATH="${D%/}${sitedir}${PYTHONPATH:+:${PYTHONPATH}}" \
+ PYTHONPATH="${D}${sitedir}${PYTHONPATH:+:${PYTHONPATH}}" \
"${PYTHON}" -m portage._compat_upgrade.default_locations || die
env -u BINPKG_COMPRESS \
- PYTHONPATH="${D%/}${sitedir}${PYTHONPATH:+:${PYTHONPATH}}" \
+ PYTHONPATH="${D}${sitedir}${PYTHONPATH:+:${PYTHONPATH}}" \
"${PYTHON}" -m portage._compat_upgrade.binpkg_compression || die
# elog dir must exist to avoid logrotate error for bug #415911.
@@ -247,8 +250,8 @@ pkg_preinst() {
# portage:portage to root:root which happens after src_install.
keepdir /var/log/portage/elog
# This is allowed to fail if the user/group are invalid for prefix users.
- if chown portage:portage "${ED}"var/log/portage{,/elog} 2>/dev/null ; then
- chmod g+s,ug+rwx "${ED}"var/log/portage{,/elog}
+ if chown portage:portage "${ED}"/var/log/portage{,/elog} 2>/dev/null ; then
+ chmod g+s,ug+rwx "${ED}"/var/log/portage{,/elog}
fi
if has_version "<${CATEGORY}/${PN}-2.3.77"; then